Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class ExtendsForbiddenException

    java.lang.Object
      BirtException
          org.eclipse.birt.report.model.api.ModelException
              org.eclipse.birt.report.model.api.activity.SemanticException
                  org.eclipse.birt.report.model.api.command.ExtendsException
                      org.eclipse.birt.report.model.api.command.ExtendsForbiddenException

    public class ExtendsForbiddenException

extends ExtendsException

An error indicates not supported extension while setting the extends property of an element.

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_CANT_EXTEND` The element does not allow extensions.
`static java.lang.String` | `DESIGN_EXCEPTION_EXTENDS_FORBIDDEN` The element does not allow to set extends explicitly.
`static java.lang.String` | `DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT` The parent element not in component slot of report design.
`static java.lang.String` | `DESIGN_EXCEPTION_RESULT_SET_SHARED_CANT_EXTEND` The shared result set report item cannot be extended.

Fields inherited from class org.eclipse.birt.report.model.api.command.ExtendsException
`DESIGN_EXCEPTION_CIRCULAR, DESIGN_EXCEPTION_NO_PARENT, DESIGN_EXCEPTION_PARENT_NOT_FOUND, DESIGN_EXCEPTION_PARENT_NOT_INCLUDE, DESIGN_EXCEPTION_SELF_EXTEND, DESIGN_EXCEPTION_UNNAMED_PARENT, DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE, DESIGN_EXCEPTION_WRONG_TYPE, extendsName, parent`

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Constructor Summary
`ExtendsForbiddenException(org.eclipse.birt.report.model.core.DesignElement obj, org.eclipse.birt.report.model.core.DesignElement parent, java.lang.String errCode)` Constructor.
`ExtendsForbiddenException(org.eclipse.birt.report.model.core.DesignElement obj, java.lang.String name, java.lang.String errCode)` Constructor.

Method Summary
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.command.ExtendsException
`getExtends`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_EXTENDS_FORBIDDEN

    public static final java.lang.String DESIGN_EXCEPTION_EXTENDS_FORBIDDEN

  The element does not allow to set extends explicitly.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_CANT_EXTEND

    public static final java.lang.String DESIGN_EXCEPTION_CANT_EXTEND

  The element does not allow extensions.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT

    public static final java.lang.String DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT

  The parent element not in component slot of report design.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_RESULT_SET_SHARED_CANT_EXTEND

    public static final java.lang.String DESIGN_EXCEPTION_RESULT_SET_SHARED_CANT_EXTEND

  The shared result set report item cannot be extended.

  See Also:
    Constant Field Values

Constructor Detail

### ExtendsForbiddenException

    public ExtendsForbiddenException(org.eclipse.birt.report.model.core.DesignElement obj,
                                     java.lang.String name,
                                     java.lang.String errCode)

  Constructor.

  Parameters:
    `obj` - the element being changed.
    `name` - the value being set for the extends property.
    `errCode` - what went wrong.

### ExtendsForbiddenException

    public ExtendsForbiddenException(org.eclipse.birt.report.model.core.DesignElement obj,
                                     org.eclipse.birt.report.model.core.DesignElement parent,
                                     java.lang.String errCode)

  Constructor.

  Parameters:
    `obj` - the element being changed.
    `parent` - the parent element.
    `errCode` - what went wrong.

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `ExtendsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.